Version 5.1.1 GCC build problem

Kevin P. Fleming kpfleming at linuxfromscratch.org
Sun Jul 11 19:53:47 PDT 2004


Jim Martin wrote:

> /tools/bin/ld: unrecognized option '--as-needed'
> /tools/bin/ld: use the --help option for usage information

Your binutils is too new.

> This is on a Fedora Core 2 (2.6.5 kernel ) system.. The CC compiler
> environment variable is set to /usr/bin/gcc

Check the list archives. FC2 is not a good host to build LFS-5.1.1 from, 
unless you are willing to deviate from the book and use a newer version 
of binutils. Either use an older host (FC1 works fine), or wait for 
LFS-6.0 which will not have this issue.



More information about the lfs-support mailing list